Subject: [DNSOP] Fwd: observations re: https://tools.ietf.org/html/draft-ietf-dnsop-resolver-priming-05

From: manning <[email-masked]>
Date: Tue, 28 Apr 2015 12:52:42 -0700

for WG consideration…

manning
[email-masked]
PO Box 12317
Marina del Rey, CA 90295
310.322.8102

Begin forwarded message:

> From: manning <[email-masked]>
> Subject: observations re: https://tools.ietf.org/html/draft-ietf-dnsop-resolver-priming-05
> Date: April 27, 2015 at 15:08:13 PDT
> To: [email-masked], [email-masked]
> Cc: Suzanne Woolf <[email-masked]>
> 
> 
> 
> A few thoughts on reading your draft:
> 
> )  In the intro, the text states, "The list of root name servers has been rather stable over the last fifteen years.  After the last four servers had been added and moved
> to their final (network) destinations in 1997, there have been only five address changes..”
> 
> 	"Final" seems predictive, absent credible data.  Perhaps “current” would be a more accurate reflection of reality.
> 
> )   You list reports on B and J renumbering events/effects.   Is there a reason to elide http://www.cs.umd.edu/~dml/papers/droot.pdf from your references?
> 
> )  The deeper question can be illuminated by reading sections 2.1 & 2.2.    If the query type == NS,  is it required to respond with the RRset for NS (according to RFC 2181 sec.5)?
>  Just responding with the NS list opens some interesting possibilities.   And after all, a significant DDoS vector exists simply because of this stricture in RFC 2181.  It may be worthwhile 
>  re-examining the impact  of  the recommendations in RFC 2181.  In fact, there are some active experiments looking into just this.
> 
> 
> Thanks for reading...
> 
> manning
> 
> [email-masked]
> PO Box 12317
> Marina del Rey, CA 90295
> 310.322.8102
> 
> 
>